Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
qt compilieren

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Software
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
baum
Gast





BeitragVerfasst am: 18. Feb 2002 14:14   Titel: qt compilieren

hab qt 2.3.2 mit den flags -sm -gif -system-jpeg configuriert. libjpeg ist auch einwandfrei installiert,
die /etc/ld.so.conf ist auch in ordnung. qt sucht beim maken aber eine jpeglib.h die aber beim installieren
von jpeglib garnicht installiert wurde. sie befindet sich lediglich im source tree von jpeglib, ein einfaches
kopieren der datei nach /usr/include läßt qt die datei dann zwar finden erzeugt aber dann einen neuen fehler..
was mach ich falsch, hab qt nu ohne -system-jpeg compiliert, funzt kde denn dann noch ???!!
 

peterm



Anmeldungsdatum: 16.09.2000
Beiträge: 287

BeitragVerfasst am: 18. Feb 2002 14:31   Titel: Re: qt compilieren

Hi baum,

falls du ein Paket-System hast,
kannst du libjpeg ja als Paket installieren.
In diesem Fall brauchst du außerdem libjpeg-dev
(in dev-Paketen sind gewöhnlich die statischen Bibliotheken und die Headers)

P.S.: Wenn du KDE auch kompilieren willst, empfehle ich dir dringend,
-thread als Option anzugeben.

Ich habe QT so installiert: (aus dem Gedächtnis heraus)

-release -shared -gif -system-libjpeg -system-libpng -system-libmng -thread -xkb -xinerama (braucht`s eigentlich gar nicht)
-xft

Viel Spaß.

P.S.: Nimm gcc-2.95.x , ist am sichersten

/usr/bin/gcc --> symbolischer Link auf /usr/bin/gcc-2.95
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden

Rossi
Gast





BeitragVerfasst am: 19. Feb 2002 16:12   Titel: Re: qt compilieren

Langt es tatsächlich, wenn nur der gcc auf gcc-2.95 verlinkt wird oder muß auch g++ und libstdc, etc verlinkt werden ?
 

peterm



Anmeldungsdatum: 16.09.2000
Beiträge: 287

BeitragVerfasst am: 23. Feb 2002 11:48   Titel: Re: qt compilieren

@Rossi:

Ich habe bei Problemen mit gcc-3.0.x den Symlink auf gcc-2.95 gesetzt,
danach ist alles gegangen. Ich glaube, gcc merkt von alleine, welche Bibliotheken
er benutzen muss.

cu
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Software Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy